Bug 803479 - JON plugin does not propagate the Site or Application changes from EPP
JON plugin does not propagate the Site or Application changes from EPP
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER01
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 15:48 EDT by Viliam Rockai
Modified: 2015-08-31 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viliam Rockai 2012-03-14 15:48:45 EDT
JON plugin does not propagate the Site or Application changes from EPP. When you create a new portal (site) in the EPP, or access new portlet on EPP, you can't see them in the JON inventory. If you type the:
discovery --full
in the agent console, due to the trace in the agent log, the epp plugin won't discover the new site/application.

but if you uninventory the epp and then inventory it again, the changes are there (you see the right amount of sites/applications)
Comment 1 Nick Scavelli 2012-03-14 20:01:38 EDT
Issue was that the JMX attribute was being cached in the EmsBean, so a manual refresh of the attributes in the plugin was require. This explains why re-inventorying the server the plugin was able to retrieve the correct resources (because the first call to the jmx attributes was called).

Fixed in version 1.0.1 of the gatein rhq plugin.
Comment 2 Viliam Rockai 2012-03-15 18:15:36 EDT
in new version it works fine. new sites and application accessed are now correctly discovered.
Comment 3 Viliam Rockai 2012-04-03 10:41:46 EDT
i've retested with https://brewweb.devel.redhat.com//buildinfo?buildID=203504 and it works fine

Note You need to log in before you can comment on or make changes to this bug.